> ## Documentation Index
> Fetch the complete documentation index at: https://polaris.nimonic.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 알림 받기 설정 등록

> <p>특정 도서가 특정 도서관에서 대출 가능해졌을 때 알림을 받을 수 있도록 설정합니다. 이미 등록된 활성 알림 받기 설정이 있으면 중복 등록할 수 없습니다. 비활성화된 기존 설정이 있으면 다시 활성화될 수 있습니다. 실제 알림은 서버가 대출 가능 여부를 확인한 뒤 생성합니다.</p>



## OpenAPI

````yaml /api-docs.json post /api/v1/notifications/subscriptions
openapi: 3.1.0
info:
  title: Polaris API
  version: 0.0.1
servers:
  - url: https://k-polaris.life
    description: Polaris API 서버
security: []
paths:
  /api/v1/notifications/subscriptions:
    post:
      tags:
        - 알림
      summary: 알림 받기 설정 등록
      description: >-
        <p>특정 도서가 특정 도서관에서 대출 가능해졌을 때 알림을 받을 수 있도록 설정합니다. 이미 등록된 활성 알림 받기 설정이
        있으면 중복 등록할 수 없습니다. 비활성화된 기존 설정이 있으면 다시 활성화될 수 있습니다. 실제 알림은 서버가 대출 가능 여부를
        확인한 뒤 생성합니다.</p>
      operationId: createSubscription
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/CreateNotificationSubscriptionRequest'
        required: true
      responses:
        '204':
          description: 성공
        '400':
          description: 요청 값이 올바르지 않습니다.
        '401':
          description: 인증이 필요합니다.
        '404':
          description: 도서 또는 도서관을 찾을 수 없습니다.
        '409':
          description: 이미 등록된 활성 알림 받기 설정입니다.
      security:
        - bearerAuth: []
components:
  schemas:
    CreateNotificationSubscriptionRequest:
      type: object
      properties:
        isbn:
          type: string
          description: 알림 받기 설정할 도서를 식별하는 ISBN입니다. 하이픈이 포함되어도 서버에서 정규화합니다.
          example: 9791191111111
          minLength: 1
        libraryId:
          type: integer
          format: int64
          description: 알림 받기 설정할 도서관을 식별하는 ID입니다.
          example: 10
      required:
        - isbn
        - libraryId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````